﻿<Graph ClassName="RQRequestClassMaintP2P" Source="#CDATA" IsNew="True" FileType="NewGraph">
    <CDATA name="Source"><![CDATA[using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using PX.Data;
using PX.Objects.IN;
using PX.Objects;
using PX.Objects.RQ;
using P2P;

namespace PX.Objects.RQ
{
    public class RQRequestClassMaintP2P : PXGraphExtension<RQRequestClassMaint>
    {
        public PXSelect<RQRequestClassType, Where<RQRequestClassType.reqClassID, Equal<Current<RQRequestClass.reqClassID>>>> RQTypes;

        [PXImport(typeof(RQRequestClass))]
        public PXSelectJoin<RQRequestClassItem,
            InnerJoin<RQInventoryItem, On<RQInventoryItem.inventoryID, Equal<RQRequestClassItem.inventoryID>>>,
            Where<RQRequestClassItem.reqClassID, Equal<Optional<RQRequestClass.reqClassID>>>> ClassItems;
    }
}]]></CDATA>
</Graph>